#ifndef SPELLDB_H
#define SPELLDB_H

#include "wx/wxprec.h"
#ifdef __BORLANDC__
    #pragma hdrstop
#endif
#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include <wx/string.h>

#include "dbcfile.h"

class SpellEffectsDB: public DBCFile
{
public:
	SpellEffectsDB(): DBCFile("DBFilesClient\\SpellVisualEffectName.dbc") {}
	~SpellEffectsDB() {}

	/// Fields
	static const size_t ID = 0;				// uint
	static const size_t EffectName = 1;		// string
	static const size_t ModelName = 2;		// string
	static const size_t SpellType = 3;		// uint
	static const size_t UnknownValue2 = 4;	// uint

	Record getById(unsigned int id);
	Record getByName(wxString name);
};


#endif //SPELLDB_H

